SHELL=	    /bin/sh
INSTALL=    @INSTALL@
COMPILE_ET= compile_et

prefix=     @prefix@
includedir= @includedir@

FILES=      usp.h usp_et.h
GEN_H=	    usp_et.h

all:	$(FILES)

usp_et.h: ../../ets/usp_et.et
	$(COMPILE_ET) ../../ets/usp_et.et; rm usp_et.c

clean:
	rm -rf *~

distclean: clean
	rm -f Makefile $(GEN_H)

install: all
	$(INSTALL) -d $(includedir)/usp
	$(INSTALL) -m 644 $(FILES) $(includedir)/usp
